<?php
include_once ('core/base.php');
$header = 'Помощь по игре';
include_once ('core/head.php');

echo '<div class="b">';

switch($_GET['action']){

default:

echo '<div class="title">Помощь</div>';

echo '<a class="btn" href="/help/guide/"><img src="/images/icons/info.png" width="24px;"> Как начать?</a>';
echo '<a class="btn" href="/help/mobs/"><img src="/images/icons/skull.png" width="24px;"> Список существ</a>';
echo '<a class="btn" href="/help/bosses/"><img src="/images/icons/boss.png" width="24px;"> Список боссов</a>';
echo '<a class="btn" href="/help/stats/"><img src="/images/icons/stats.png" width="24px;"> Характеристики</a>';
echo '<a class="btn" href="/help/maps/"><img src="/images/icons/forest.png" width="24px;"> Карты</a>';

echo '<div class="title">Другое</div>';

echo '<a class="btn" href="/help/smiles/"><img src="/images/smiles/smile.png" width="24px;"> Смайлы</a>';
echo '<a class="btn" href="/rules/"><img src="/images/icons/yes.png" width="24px;"> Правила</a>';
echo '<a class="btn" href="/help/contacts/"><img src="/images/icons/info.png" width="24px;"> Контакты</a>';

echo '<br/><a class="btn" href="javascript:history.go(-1)"><img src="/images/icons/back.png"> Назад</a>';

break;

case 'mobs':

$_GET['mob'] = fl($_GET['mob']);

if($_GET['mob']){

$mob = $base -> query('SELECT * FROM `mobs` WHERE `id` = "'.$_GET['mob'].'" AND `boss` = "0" LIMIT 1') -> fetch_assoc();
if($mob > 0){

echo '<div class="title">'.$mob['name'].'</div>';
echo '<center><img src="/images/mobs/'.$mob['image'].'"></center>';

echo '<table class="table table-common" style="margin-top: 5px; border-collapse: collapse; text-align: left; font-size: 13px;">';
echo '<tr><td><img src="/images/icons/p_att.png"> Физ. Атака</td><td><center>'.n_f($mob['p_att']).'</center></td><td><img src="/images/icons/hp_regen.png"> Здоровье</td><td><center>'.n_f($mob['hp']).'</center></td></tr>';
echo '<tr><td><img src="/images/icons/p_def.png"> Физ. Защита</td><td><center>'.n_f($mob['p_def']).'</center></td><td><img src="/images/icons/time.png"> Скорость атаки</td><td><center>'.$mob['time_attack'].'с.</center></td></tr>';
echo '<tr><td><img src="/images/icons/m_att.png"> Маг. Атака</td><td><center>'.n_f($mob['m_att']).'</center></td><td><img src="/images/icons/exp.png"> Опыт</td><td><center>'.n_f($mob['exp']).'</center></td></tr>';
echo '<tr><td><img src="/images/icons/m_def.png"> Маг. Защита</td><td><center>'.n_f($mob['m_def']).'</center></td><td><img src="/images/icons/silver_24.png"> Серебро</td><td><center>'.n_f($mob['silver']).'</center></td></tr>';
echo '</table>';

echo '<div class="title">Предметы</div>';
echo '<table class="table table-common" style="margin-top: 5px; border-collapse: collapse; text-align: left; font-size: 14px;">';
$drops = $base -> query('SELECT * FROM `drops` WHERE `mob` = "'.$mob['id'].'" ORDER BY `id` ASC');
while($drop = $drops -> fetch_assoc()){
	$item = $base -> query('SELECT * FROM `items` WHERE `id` = "'.$drop['item'].'" LIMIT 1') -> fetch_assoc();
	if($item['mark'] == '0') $color = 'B1B1B1';
	if($item['mark'] == '1') $color = '30C030';
	if($item['mark'] == '2') $color = '68A8F9';
	if($item['mark'] == '3') $color = 'D8CD32';
	if($item['mark'] == '4') $color = 'DD4FFF';
	$chance = $drop['chance'] / 100;
	if($item['what'] == 'clothing') $img = '/images/items/'.$item['type'].'/'.$item['image'].'.png';
	else $img = '/images/items/resource/'.$item['image'].'.png';
	echo '<tr><td><img src="'.$img.'" width="24px" style="border: 1px solid #'.$color.';"> <font color="#'.$color.'">'.$item['name'].'</font></td><td><center>'.$chance.'%</center></td></tr>';
}
echo '</table>';

echo '<br/><a class="btn" href="javascript:history.go(-1)"><img src="/images/icons/back.png"> Назад</a>';

}else{
	header('Location: /help/mobs/');
	exit;
}

}else{

echo '<div class="title">Список существ</div>';

echo '<div class="event"><center>Существа нападают сами, если вы будете ходить по тем локациям в которых они обитают. На тропинках на вас никто не нападёт.</center></div>';

$k_post = $base -> query("SELECT * FROM `mobs` WHERE `boss` = '0'") -> num_rows;
$k_page = k_page($k_post,10);
$page = page($k_page);
$start = 10 * $page - 10;
$sql  = $base -> query("SELECT * FROM `mobs` WHERE `boss` = '0' ORDER BY `id` ASC LIMIT $start, 10");
echo '<table width="100%">';
$i = 1;
while($mob = $sql -> fetch_assoc()){
		$mob_loc = $base -> query('SELECT * FROM `locations` WHERE `location_type` = "'.$mob['location_type'].'" LIMIT 1') -> fetch_assoc();
		if($i == 1) echo '<tr>';
		echo '<td width="50%"><a class="btn" style="height: 62px; margin: 0px; font-size: 12px;" href="/help/mob/'.$mob['id'].'/"><div style="float: left; width: 48px; height: 48px; background-color: #101020; margin-right: 3px; border: 1px solid #404050; border-radius: 3px;"><center><img style="max-width: 48px; max-height: 48px;" src="/images/mobs/'.$mob['image'].'"></center></div><b>'.$mob['name'].'</b></br><font style="font-size: 11px;" color="#B1B1B1">'.$mob_loc['name'].'</font></a></td>';
		if($i == 2){
			$i = 0;
			echo '</tr>';
		}
		$i ++;
}
echo '</table>';
if($k_post < 1){
	echo '<br/><center>Список существ пуст.</center><br/>';
}
if ($k_page > 1){
echo str('?id=&',$k_page,$page); // Вывод страниц
}

echo '<br/><a class="btn" href="/help/"><img src="/images/icons/back.png"> Назад</a>';

}

break;

case 'bosses':

$_GET['boss'] = fl($_GET['boss']);

if($_GET['boss']){

$boss = $base -> query('SELECT * FROM `mobs` WHERE `id` = "'.$_GET['boss'].'" AND `boss` = "1" LIMIT 1') -> fetch_assoc();
if($boss > 0){

echo '<div class="title">'.$boss['name'].'</div>';
echo '<center><img src="/images/mobs/bosses/'.$boss['image'].'"></center>';

echo '<table class="table table-common" style="margin-top: 5px; border-collapse: collapse; text-align: left; font-size: 13px;">';
echo '<tr><td><img src="/images/icons/p_att.png"> Физ. Атака</td><td><center>'.n_f($boss['p_att']).'</center></td><td><img src="/images/icons/hp_regen.png"> Здоровье</td><td><center>'.n_f($boss['max_hp']).'</center></td></tr>';
echo '<tr><td><img src="/images/icons/p_def.png"> Физ. Защита</td><td><center>'.n_f($boss['p_def']).'</center></td><td><img src="/images/icons/time.png"> Скорость атаки</td><td><center>'.$boss['time_attack'].'с.</center></td></tr>';
echo '<tr><td><img src="/images/icons/m_att.png"> Маг. Атака</td><td><center>'.n_f($boss['m_att']).'</center></td><td><img src="/images/icons/exp.png"> Опыт</td><td><center>'.n_f($boss['exp']).'</center></td></tr>';
echo '<tr><td><img src="/images/icons/m_def.png"> Маг. Защита</td><td><center>'.n_f($boss['m_def']).'</center></td><td><img src="/images/icons/silver_24.png"> Серебро</td><td><center>'.n_f($boss['silver']).'</center></td></tr>';
echo '</table>';

echo '<div class="title">Предметы</div>';
echo '<table class="table table-common" style="margin-top: 5px; border-collapse: collapse; text-align: left; font-size: 14px;">';
$drops = $base -> query('SELECT * FROM `drops` WHERE `mob` = "'.$boss['id'].'" ORDER BY `id` ASC');
while($drop = $drops -> fetch_assoc()){
	$item = $base -> query('SELECT * FROM `items` WHERE `id` = "'.$drop['item'].'" LIMIT 1') -> fetch_assoc();
	if($item['mark'] == '0') $color = 'B1B1B1';
	if($item['mark'] == '1') $color = '30C030';
	if($item['mark'] == '2') $color = '68A8F9';
	if($item['mark'] == '3') $color = 'D8CD32';
	if($item['mark'] == '4') $color = 'DD4FFF';
	$chance = $drop['chance'] / 100;
	if($item['what'] == 'clothing') $img = '/images/items/'.$item['type'].'/'.$item['image'].'.png';
	else $img = '/images/items/resource/'.$item['image'].'.png';
	echo '<tr><td><img src="'.$img.'" width="24px" style="border: 1px solid #'.$color.';"> <font color="#'.$color.'">'.$item['name'].'</font></td><td><center>'.$chance.'%</center></td></tr>';
}
echo '</table>';

echo '<br/><a class="btn" href="javascript:history.go(-1)"><img src="/images/icons/back.png"> Назад</a>';

}else{
	header('Location: /help/bosses/');
	exit;
}

}else{

echo '<div class="title">Список боссов</div>';

echo '<div class="event"><center>Боссы не нападают сами, они всегда находятся на определённом месте и после смерти воскресают через некоторое количество времени. Они намного сильнее обычных существ, но и награда за них намного больше. Лучше всего сражаться с ними в команде.</center></div>';

$k_post = $base -> query("SELECT * FROM `mobs` WHERE `boss` = '1'") -> num_rows;
$k_page = k_page($k_post,10);
$page = page($k_page);
$start = 10 * $page - 10;
$sql  = $base -> query("SELECT * FROM `mobs` WHERE `boss` = '1' ORDER BY `id` ASC LIMIT $start, 10");
echo '<table width="100%">';
$i = 1;
while($boss = $sql -> fetch_assoc()){
		if($i == 1) echo '<tr>';
		echo '<td width="50%"><a class="btn" style="height: 62px; margin: 0px; font-size: 12px;" href="/help/boss/'.$boss['id'].'/"><div style="float: left; width: 48px; height: 48px; background-color: #101020; margin-right: 3px; border: 1px solid #404050; border-radius: 3px;"><center><img style="max-width: 48px; max-height: 48px;" src="/images/mobs/bosses/'.$boss['image'].'"></center></div><br/><b>'.$boss['name'].'</b></a></td>';
		if($i == 2){
			$i = 0;
			echo '</tr>';
		}
		$i ++;
}
echo '</table>';
if($k_post < 1){
	echo '<br/><center>Список боссов пуст.</center><br/>';
}
if ($k_page > 1){
echo str('?id=&',$k_page,$page); // Вывод страниц
}

echo '<br/><a class="btn" href="/help/"><img src="/images/icons/back.png"> Назад</a>';

}

break;

case 'stats':

echo '<div class="title">Характеристики</div>';

echo '<div class="event">';
echo '<center>У каждого игрока в Авалоре есть восемь характеристик.<br/>С повышением уровня, вы будете получать по <img src="/images/icons/character_points.png"><font style="text-decoration: underline;"><b>5</b></font> очков характеристик, с помощью которых вы сможете <img src="/images/icons/up.png"><font style="text-decoration: underline;"><b>повысить</b></font> некоторые характеристики.</center>';
echo '<div class="only_line"></div>';
echo '<img src="/images/icons/p_att.png"><font style="text-decoration: underline;"><b>Физическая атака</b></font>: обозначает сколько урона вы будете наносить противникам, игнорирует магическую защиту.';
echo '<div class="only_line"></div>';
echo '<img src="/images/icons/m_att.png"><font style="text-decoration: underline;"><b>Магическая атака</b></font>: обозначает сколько урона вы будете наносить противникам, игнорирует физическую защиту.';
echo '<div class="only_line"></div>';
echo '<img src="/images/icons/p_def.png"><font style="text-decoration: underline;"><b>Физическая защита</b></font>: обозначает сколько <font style="text-decoration: underline;"><b>Физического</b></font> урона вы сможете заблокировать.';
echo '<div class="only_line"></div>';
echo '<img src="/images/icons/m_def.png"><font style="text-decoration: underline;"><b>Магическая защита</b></font>: обозначает сколько <font style="text-decoration: underline;"><b>Магического</b></font> урона вы сможете заблокировать.';
echo '<div class="only_line"></div>';
echo '<img src="/images/icons/endurance.png"><font style="text-decoration: underline;"><b>Выносливость</b></font>: влияет на максимальное количество здоровья, <font style="text-decoration: underline;"><b>1</b></font> очко выносливости даёт <font style="text-decoration: underline;"><b>+20</b></font> к максимальному количеству здоровья.';
echo '<div class="only_line"></div>';
echo '<img src="/images/icons/intellect.png"><font style="text-decoration: underline;"><b>Интеллект</b></font>: влияет на максимальное количество маны, <font style="text-decoration: underline;"><b>1</b></font> очко интеллекта даёт <font style="text-decoration: underline;"><b>+20</b></font> к максимальному количеству маны.';
echo '<div class="only_line"></div>';
echo '<img src="/images/icons/agility.png"><font style="text-decoration: underline;"><b>Ловкость</b></font>: влияет на шанс уклонения от удара противника, <font style="text-decoration: underline;"><b>1</b></font> очко ловкости даёт <font style="text-decoration: underline;"><b>+0.25%</b></font> шанса уклонения, то есть <font style="text-decoration: underline;"><b>1%</b></font> шанса уклонения это <font style="text-decoration: underline;"><b>4</b></font> очка ловкости.';
echo '<div class="only_line"></div>';
echo '<img src="/images/icons/skill.png"><font style="text-decoration: underline;"><b>Мастерство</b></font>: влияет на шанс  нанесения критического удара (критический удар наносит <font style="text-decoration: underline;"><b>200%</b></font> урона), <font style="text-decoration: underline;"><b>1</b></font> очко мастерства даёт <font style="text-decoration: underline;"><b>+0.25%</b></font> к шансу критического удара, то есть <font style="text-decoration: underline;"><b>1%</b></font> шанса критического удара это <font style="text-decoration: underline;"><b>4</b></font> очка мастерства.';
echo '</div>';

echo '<br/><a class="btn" href="javascript:history.go(-1)"><img src="/images/icons/back.png"> Назад</a>';

break;

case 'maps':

$_GET['map'] = fl($_GET['map']);

if($_GET['map'] == '') $map = 'ellerton';
elseif($_GET['map'] == 1) $map = 'ellerton';
elseif($_GET['map'] == 2) $map = 'fobos_dungeon';
elseif($_GET['map'] == 3) $map = 'azora';
elseif($_GET['map'] == 4) $map = 'chimera_dungeon';
elseif($_GET['map'] == 5) $map = 'folber';

echo '<div class="title">Карты</div>';

echo '<div class="event"><center><img src="/images/maps/'.$map.'.png" width="100%"></center></div>';

echo '<a class="btn" href="/help/maps/1/"><img src="/images/icons/location.png"> Эллертон</a>';
echo '<a class="btn" href="/help/maps/2/"><img src="/images/icons/location.png"> Катакомбы Фобоса</a>';
echo '<a class="btn" href="/help/maps/3/"><img src="/images/icons/location.png"> Азора/Флагос</a>';
echo '<a class="btn" href="/help/maps/4/"><img src="/images/icons/location.png"> Пещера Химеры</a>';
echo '<a class="btn" href="/help/maps/5/"><img src="/images/icons/location.png"> Фолбер</a>';

echo '<br/><a class="btn" href="/help/"><img src="/images/icons/back.png"> Назад</a>';

break;

case 'smiles':

echo '<div class="title">Смайлы</div>';

echo '<div class="event">';

echo '<table class="table table-common" style="margin-top: 5px; border-collapse: collapse; text-align: left;">';
echo '<tr><td>.бомба.</td><td><center><img src="/images/smiles/bomb.png" width="32px"></center></td><td>.милый.</td><td><center><img src="/images/smiles/cute.png" width="32px"></center></td></tr>';
echo '<tr><td>.отказ.</td><td><center><img src="/images/smiles/denial.png" width="32px"></center></td><td>.стесняюсь.</td><td><center><img src="/images/smiles/embrassment.png" width="32px"></center></td></tr>';
echo '<tr><td>.ненависть.</td><td><center><img src="/images/smiles/hate.png" width="32px"></center></td><td>.смех.</td><td><center><img src="/images/smiles/laugh.png" width="32px"></center></td></tr>';
echo '<tr><td>.любовь.</td><td><center><img src="/images/smiles/love.png" width="32px"></center></td><td>.труп.</td><td><center><img src="/images/smiles/morose.png" width="32px"></center></td></tr>';
echo '<tr><td>.музыка.</td><td><center><img src="/images/smiles/music.png" width="32px"></center></td><td>.ниндзя.</td><td><center><img src="/images/smiles/ninja.png" width="32px"></center></td></tr>';
echo '<tr><td>.мда.</td><td><center><img src="/images/smiles/omg.png" width="32px"></center></td><td>.ужас.</td><td><center><img src="/images/smiles/scare.png" width="32px"></center></td></tr>';
echo '<tr><td>.улыбка.</td><td><center><img src="/images/smiles/smile.png" width="32px"></center></td><td>.дурак.</td><td><center><img src="/images/smiles/stupid.png" width="32px"></center></td></tr>';
echo '<tr><td>.что.</td><td><center><img src="/images/smiles/wtf.png" width="32px"></center></td><td>.зомби.</td><td><center><img src="/images/smiles/zombie.png" width="32px"></center></td></tr>';
echo '</table>';

echo '</div>';

echo '<a class="btn" href="javascript:history.go(-1)"><img src="/images/icons/back.png"> Назад</a>';

break;

case 'contacts':

echo '<div class="title">Контакты</div>';

echo '<div class="event">';

echo '<center>';
echo '<a class="btn_small" href="https://vk.com/avalormobi"><img src="/images/vk.png"> Сообщество ВКонтакте</a><br/>';
echo '<a class="btn_small" href="https://t.me/joinchat/AAAAAFXi5EIjuCJfSiMxsg"><img src="/images/telegram.png"> Канал в Telegram</a><br/>';
echo '<a class="btn_small" href="https://vk.com/alexbootko"><img src="/images/vk.png"> Александр Бутко в ВКонтакте</a><br/>';
echo '<a class="btn_small" href="https://t.me/skar_official"><img src="/images/telegram.png"> Алексей Комагуров в Telegram</a><br/>';
echo '<a class="btn_small" href="https://t.me/alex_bootko"><img src="/images/telegram.png"> Александр Бутко в Telegram</a><br/>';
echo '<div class="btn_small_pressed"><img src="/images/icons/info.png"> Butko.07@mail.ru</div><br/>';
echo '</center>';

echo '</div>';

echo '<a class="btn" href="javascript:history.go(-1)"><img src="/images/icons/back.png"> Назад</a>';

break;

case 'guide':

echo '<div class="title">Как начать?</div>';

echo '<div class="event">';

echo '- В первую очередь нужно позаботиться о уровне и статах.
<br/>- Выносливость нужна герою
больше всего на раннем этапе игры, по этому как вариант, на 6 уровне можно будет
распределить 20 очков в выносливость и пять в интеллект (для умений).
<br/>- После этого можно купить начальный комплект в Эллертоне, но не улучшать его. Его
нужно надеть, купить зелий здоровья и пробовать пройти катакомбы Фобоса, что бы
выйти в Азоре.
<br/>- Как только это получилось - выдыхаем, потому, что скорее всего,
следующие 10 уровней мы будем поднимать именно здесь.
<br/>- В замке Азоры полностью
обновляем свой комплект снаряжения, а напротив замка, чуть ниже, мы улучшаем их
качество до максимума, одеваем и находим просто полянку с травой.
<br/>- На данной
местности нам встретятся Пчела и Иглонос. Это лучшие существа на данном этапе, с
которых можно вполне комфортно получать опыт и серебро.';
echo '<div class="only_line"></div>';
echo '- Пока мы качаемся, мы должны понимать, что нам надо в характеристиках сделать 25
интеллекта (что бы восстанавливать Средним Зельем Маны сразу всю ману), а
остальные очки вложить в Выносливость.
<br/>- В Азоре можно купить кольцо и ожерелье,
могу рекомендовать для подстраховки купить и кольцо и ожерелье на ловкость, а
если уверены в своих силах - на мастерство.
<br/>- Теперь обсудим умения. Самым первым и
нужным скиллом я бы назвал Метеорит. Именно он может провести вас в начале игры
на 6 уровне через катакомбы, ведь здешние Големы могут здорово попортить нервы
новичку. Метеорит желательно сразу улучшать до 5 уровня.
<br/>- Вторым по важности
умением я бы назвал Целебная Волна, так как на 5 уровне умения она
восстанавливает 1050 здоровья, а у большинства игроков 1000 здоровья - это около
половины, а то и больше всего запаса здоровья. Это важное и очень нужное умение,
улучшаем его вторым после Метеорита.
<br/>- Третье умение - очень ситуативно: можно
взять Глыбу, а можно взять и Магический Барьер, тут уже выбор за вами.';
echo '<div class="only_line"></div>';
echo '- По достижению примерно 16 уровня можно взять задание в Азоре на убийство Фобоса,
и пробовать его выполнить (рекомендую собрать полную команду из трех человек,
так вы намного быстрее справитесь, однако задание выполнится у того, кто сделал
последний удар).
<br/>- Параллельно можно выполнить задания в Эллертоне, а после - в
Азоре. Не забывайте покупать Зелья Здоровья (в Азоре их можно купить сразу возле
выхода из катакомб, по тропинке чуть ниже слева будет Лавка Зельевара). Удачи!';
echo '<div class="only_line"></div>';
echo '<center>Гайд подготовил: '.name(439).'</center>';

echo '</div>';

echo '<a class="btn" href="javascript:history.go(-1)"><img src="/images/icons/back.png"> Назад</a>';

break;

}

echo '</div>';

include_once ('core/foot.php');
?>